petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMClone

Creates a DM object with the same topology as the original.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMClone(DM dm, DM *newdm)

Collective on MPI_Comm

### Input Parameter

dm -The original DM object

### Output Parameter

newdm -The new DM object

### Keywords

DM, topology, create

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

DMClone_DA in src/dm/impls/da/dacreate.c
DMClone_Forest in src/dm/impls/forest/forest.c
DMClone_pforest in src/dm/impls/forest/p4est/pforest.c
DMClone_Moab in src/dm/impls/moab/dmmoab.cxx
DMClone_Network in src/dm/impls/network/networkcreate.c
DMClone_Plex in src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages